#-mcl
(in-package "USER")
#+mcl
(push :CLTL2 *features*)

#+mcl
(set-mac-default-directory "Macintosh HD:Applications:ACL2:")

#+mcl
(setf (logical-pathname-translations "new-home")
      `(("**;*.*" ,(merge-pathnames ":**:*.*" 
				    (mac-default-directory)))))


(proclaim '(optimize (compilation-speed 0) (safety 0) (space 0) (speed 3)))

(load "acl2.lisp")

(cond
 ((probe-file (coerce (append (coerce "axioms-akcl." 'list)
                              (coerce #+mcl "fasl" #-mcl "o" 'list))
                      'string))
  (acl2::load-acl2-toothbrush)
  (cond ((probe-file "multiplicities-and-formals.lisp")
         (load "multiplicities-and-formals.lisp"))
        (t (format t "File multiplicities-and-formals.lisp not found, ~
                    ergo not loaded.")))))

(defparameter *compiled-file-extension*
#+mcl "fasl"
#-mcl "o")

